it-swarm-ja.tech

Ubuntu 18.10にamdgpu-proをインストールすると、apt E:サブプロセス/ usr / bin / dpkgがエラーコード(1)を返しました

このガイドに従ってamdgpu-proドライバーをUbuntu 18.10にインストールしようとしましたが、ドライバーは18.04専用であるため、インストールは失敗しました。

https://linuxconfig.org/how-to-install-AMD-radeon-drivers-on-ubuntu-18-10-cosmic-cuttlefish-linux

Apt upgradeを実行しようとすると、aptが完全に失敗し、次のエラーメッセージが表示されます。

 /tmp/apt-dpkg-install-4A1LcU/03-amdgpu-core_19.20-812932_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

私はSudo dpkg --configure -aを試しましたが、Package amdgpu-core is not installedが原因で依存関係エラーの大きなリストが返されます。

次にapt install -fを試して問題を修正しましたが、エラーが発生しました:

ERROR: This package can only be installed on Ubuntu 18.04.
dpkg: error processing archive /var/opt/amdgpu-pro-local/./amdgpu-core_19.20-812932_all.deb (--unpack):
 new amdgpu-core package pre-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 /var/opt/amdgpu-pro-local/./amdgpu-core_19.20-812932_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

次にapt autoremoveを使ってこれを整理しようとしましたが、エラーが発生しました:

E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

そのため、そのコマンドSudo apt --fix-broken installを実行すると、さらに多くのエラーが発生します。

Preparing to unpack .../amdgpu-core_19.20-812932_all.deb ...
ERROR: This package can only be installed on Ubuntu 18.04.
dpkg: error processing archive /var/opt/amdgpu-pro-local/./amdgpu-core_19.20-812932_all.deb (--unpack):
 new amdgpu-core package pre-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 /var/opt/amdgpu-pro-local/./amdgpu-core_19.20-812932_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

だから、抜けられないループに陥っているようです。 Doeの誰かが私が何をする必要があるか知っているので、これを削除して再び適切に動作させることができますか?

7
twigg

私はこの問題を次の方法で解決しました:

ステップ1:Sudo dpkg --configure -a

ステップ2:Sudo dpkg -P error-packages(ステップ1で確認できるエラーパッケージ)

私の場合、彼らは

dependency problems - leaving unconfigured
Errors were encountered while processing:
 libgl1-amdgpu-mesa-dri:AMD64
 libwayland-amdgpu-server0:AMD64
 libgbm1-amdgpu:AMD64
 libwayland-amdgpu-egl1:AMD64
 gst-omx-amdgpu
 glamor-amdgpu:AMD64
 libllvm9.0-amdgpu:AMD64
 libglapi-amdgpu-mesa:AMD64
 mesa-amdgpu-vdpau-drivers:AMD64
 libgles1-amdgpu-mesa:AMD64
 libdrm2-amdgpu:AMD64
 libegl1-amdgpu-mesa-drivers:AMD64
 mesa-amdgpu-va-drivers:AMD64
 xserver-xorg-amdgpu-video-amdgpu
 mesa-amdgpu-omx-drivers:AMD64
 libegl1-amdgpu-mesa:AMD64
 libdrm-amdgpu-common
 libwayland-amdgpu-client0:AMD64
 libgl1-amdgpu-mesa-glx:AMD64
 libgles2-amdgpu-mesa:AMD64
 libxatracker2-amdgpu:AMD64
 libosmesa6-amdgpu:AMD64
 libdrm-amdgpu-amdgpu1:AMD64

ステップ3:Sudo apt autoremove

その後、依存関係の問題はなくなるはずです。

2
flynn francisco